import { Injector } from '@angular/core';
import { IFactoryModel } from '../interfaces/factory-model';
import { IMockProviderOptions } from '../interfaces/mock-provider-options';
import { IModel } from '../interfaces/model';
import { IProviderOptions } from '../interfaces/provider-options';
import { RestProvider } from './rest.provider';
export declare class MockProvider<TModel extends IModel> extends RestProvider<TModel> {
    protected injector: Injector;
    protected factoryModel: IFactoryModel<TModel>;
    protected options: IProviderOptions<TModel>;
    constructor(injector: Injector, factoryModel: IFactoryModel<TModel>, options: IProviderOptions<TModel>);
    init(): void;
    setOptions(options?: IMockProviderOptions<TModel>): void;
}
